# $Revision: 1.12 $, $Date: 2007/02/13 07:16:44 $
Summary:	An outline font editor
Summary(pl.UTF-8):	Edytor fontów rysowanych
Name:		fontforge
Version:	20060822
Release:	1
License:	BSD
Group:		X11/Applications/Publishing
Source0:	http://dl.sourceforge.net/fontforge/%{name}_full-%{version}.tar.bz2
# Source0-md5:	872a8013be82e322677f7c254101544d
Patch0:		%{name}-sonames.patch
Patch1:		%{name}-iconv-in-libc.patch
Patch2:		%{name}-link.patch
URL:		http://fontforge.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
# needed at build time to not disable their support and for detecting SONAME
BuildRequires:	freetype-devel >= 2.0.0
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	libuninameslist-devel
BuildRequires:	libxml2-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXi-devel
Requires:	iconv
Obsoletes:	pfaedit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FontForge allows you to edit outline and bitmap fonts. You can create
new ones or modify old ones. It is also a font format converter and
can convert among PostScript (ASCII & binary Type 1, some Type 3s,
some Type 0s), TrueType, OpenType (Type2) and CID-keyed fonts.

FontForge used to be called PfaEdit.

%description -l pl.UTF-8
FontForge pozwala na edycję fontów rysowanych i bitmapowych. Można
tworzyć nowe lub modyfikować istniejące. Jest to także konwerter
między formatami fontów - potrafi obsługiwać fonty postscriptowe
(ASCII i binarne Type 1, część Type 3, część Type 0), TrueType,
OpenType (Type2) i fonty z kluczami CID.

FontForge wcześniej nazywał się PfaEdit.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--with-freetype-bytecode \
	--with-multilayer \
	--without-freetype-src

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{gr,el}
%find_lang FontForge

rm -rf $RPM_BUILD_ROOT%{_libdir}/{*.la,pkgconfig}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f FontForge.lang
%defattr(644,root,root,755)
%doc AUTHORS LICENSE
%attr(755,root,root) %{_bindir}/fontforge
%attr(755,root,root) %{_bindir}/sfddiff
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fontforge.spec,v $
Revision 1.12  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.10  2006/09/16 14:00:27  qboosh
- updated to 20060822
- updated sonames patch, removed obsolete sfddiff-build patch
- added link patch, reduce linking with xorg libs

Revision 1.9  2006/05/26 23:23:42  qboosh
- s/libungif/giflib/ in deps

Revision 1.8  2006/03/09 00:38:07  aredridel
- modular xorg deps

Revision 1.7  2006/02/05 13:41:31  maciek2w
- updated to 20060125
- removed unneeded .la and pkgconfig files

Revision 1.6  2005/12/26 15:45:17  qboosh
- killed po patch, package message files with proper gettext domain

Revision 1.5  2005/12/25 13:45:04  charles
- updated to 20051205
- updated -sonames.patch, added -sfddiff-build.patch and -po.patch
- BR: gettext-devel, libxml2-devel R: iconv
- updated %files

Revision 1.4  2005/10/29 21:21:51  qboosh
- updated to 20051028, updated sonames patch

Revision 1.3  2005/04/30 19:29:37  qboosh
- updated to 20050310, updated patches

Revision 1.2  2004/04/25 17:54:03  qboosh
- updated to 20040418, added iconv-in-libc patch

Revision 1.1  2004/04/11 00:30:19  qboosh
- new, based on pfaedit.spec
